Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Mar 2022 16:29:25 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 23 Mar 2022 14:18:59 +0100
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Yes, we could compute based on pixels, and then resize based on how many
> > lines that would be.  But I wonder whether the mapping from pixels to
> > lines would run into the same problems as just counting lines does.
> 
> I've now rewritten the command to use pixels, and that seems to fix the
> issue on a couple of configurations here, at least.

Thanks, it's much better now.  Although the second
image-mode-fit-frame doesn't restore the original dimensions: I get a
frame that is 2 lines too high wrt the original one.